/* 岗前培训接口 */
import { bktRequest } from '../../utils/request';


// 保安员报名列表【岗前】
export const adapt_trainAdaptApplyLearnPage = (data = {}) => {
  return bktRequest({url: '/train/adapt/apply/learn/page', data});
}

// 验证保安员是否已经岗前报名【岗前】
export const adapt_validateExistsPersonApply = (data = {}) => {
  return bktRequest({url: '/train/adapt/apply/validate/exists/person/apply', data});
}
// 岗前新增报名【岗前】
export const adapt_trainAdaptApplyPersonApply = (data = {}) => {
  return bktRequest({url: '/train/adapt/apply/person/apply', data});
}

// 岗前-取消报名【岗前】
export const adapt_trainAdaptApplyCancel = (data = {}) => {
  return bktRequest({url: '/train/adapt/apply/cancel', data}, {errMsg: false});
}
// 岗前-【岗前】
export const adapt_trainAdaptApplyInfo = (data = {}) => {
  return bktRequest({url: '/train/adapt/apply/info', data});
}

// 新增开班【岗前】
export const adapt_trainAdaptCreateClass = (data = {}) => {
  return bktRequest({url: '/train/adapt/createClass', data});
}


// 开班列表
export const adapt_trainAdaptClassTrainPage = (data = {}) => {
  return bktRequest({url: '/train/adapt/class/train/page', data});
}

// 班级成员列表-新增列表
export const adapt_trainAdaptClassPersonAddPage = (data = {}) => {
  return bktRequest({url: '/train/adapt/class/person/add/page', data});
}

// 班级详情
export const adapt_trainAdaptClassInfo = (data = {}) => {
  return bktRequest({url: '/train/adapt/classInfo', data});
}
// 取消班级
export const adapt_trainAdaptCancelClass = (data = {}) => {
  return bktRequest({url: '/train/adapt/cancelClass', data});
}
// 班级成员列表-新增学员
export const adapt_trainAdaptClassPersonAdd = (data = {}) => {
  return bktRequest({url: '/train/adapt/class/person/add', data});
}

// 班级成员列表-学员列表
export const adapt_trainAdaptClassPersonPage = (data = {}) => {
  return bktRequest({url: '/train/adapt/class/person/page', data});
}
// 批量删除学员
export const adapt_trainAdaptClassPersonBatchDelete = (data = {}) => {
  return bktRequest({url: '/train/adapt/class/person/batch/delete', data});
}
// 班级成员列表-发布结业考试通知
export const adapt_trainAdaptClassPersonNotifyGraduate = (data = {}) => {
  return bktRequest({url: '/train/adapt/class/person/notify/graduate', data});
}
// 班级成员列表-发布鉴定考试通知
export const adapt_trainAdaptClassPersonNotifyIdentify = (data = {}) => {
  return bktRequest({url: '/train/adapt/class/person/notify/identify', data});
}
// 班级成员列表-发送实操培训通知
export const adapt_trainAdaptClassPersonNotifyOpen = (data = {}) => {
  return bktRequest({url: '/train/adapt/class/person/notify/open', data});
}
// 班级成员列表-确认成绩
export const adapt_trainAdaptClassPersonConfirmScore = (data = {}) => {
  return bktRequest({url: '/train/adapt/class/person/confirm/score', data});
}
// 班级成员列表-保存修改单个人员成绩
export const adapt_trainAdaptClassPersonUpdateScore = (data = {}) => {
  return bktRequest({url: '/train/adapt/class/person/update/score', data});
}
// 申报学员列表
export const adapt_trainAdaptApplyTrainPage = (data = {}) => {
  return bktRequest({url: '/train/adapt/apply/train/page', data});
}
// 岗前-材料审核不通过(personApplyId,materialApproveFailReason)
export const adapt_trainAdaptApplyMaterialApproveReject = (data = {}) => {
  return bktRequest({url: '/train/adapt/apply/materialApproveReject', data});
}
// 岗前-材料审核通过(personApplyId)
export const adapt_trainAdaptApplyDealMaterialApprove = (data = {}) => {
  return bktRequest({url: '/train/adapt/apply/dealMaterialApprove', data});
}
// 岗前-申诉机构查询
export const adapt_trainAdaptApplyAppealOrg = (data = {}) => {
  return bktRequest({url: 'train/adapt/apply/appeal/org', data});
}
// 岗前-申诉
export const adapt_trainAdaptApplyAppeal = (data = {}) => {
  return bktRequest({url: '/train/adapt/apply/appeal', data});
}
// 岗前-报名详情-修改记录
export const adapt_trainAdaptApplyInfoModifyLog = (data = {}) => {
  return bktRequest({url: '/train/adapt/apply/info/modifyLog', data});
}
// 岗前-报名详情-修改记录
export const adapt_trainAdaptApplyPersonApplyUpdate = (data = {}) => {
  return bktRequest({url: '/train/adapt/apply/person/apply/update', data});
}
// 岗前-上传实操培训材料
export const adapt_trainAdaptClassUploadPracticeMaterial = (data = {}) => {
  return bktRequest({url: '/train/adapt/class/upload/practiceMaterial', data});
}